View Issue Details

IDProjectCategoryView StatusLast Update
0017052LazarusLCLpublic2011-12-01 11:25
ReporterChristian OrtizAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0017052: New functionality | Implement "Assign function" in stringgrid
DescriptionI think could be very useful to have implemented the Assign function in the Tstringgrid component, we could "clone" the component to reassigned the time we need.

Image the case: you have a stringgrid with several properties, colors in rows/cols icons, data, ... and the user, if want could be modify all of them and then, maybe, cancel all...
TagsNo tags attached.
Fixed in Revision26888
LazTarget0.9.30
Widgetset
Attached Files

Activities

Christian Ortiz

2010-08-17 16:16

reporter   ~0040255

and how does it work, I made this

Stringrid1.assignto(stringgrid2)

and display an error

Christian Ortiz

2010-12-26 01:03

reporter   ~0044591

says it os ok, but how does it works? i cannot make it works

samuel herzog

2010-12-26 10:09

developer   ~0044595

Please change laz-target to 0.99. I don't think we should put new features anymore into 0.9.30.

Christian Ortiz

2010-12-26 20:20

reporter   ~0044607

i can not change it

Tomasz Wieckowski

2010-12-26 21:33

reporter   ~0044609

It was fixed in r26888.
example:
...
type
   TStringGrid2 = class(TStringGrid)
var
  StringGrid2: TStringGrid2;
begin
 StringGrid2:=TStringGrid2.Create(self);
 StringGrid2.RowCount:=2;
 StringGrid2.AssignTo(Form1.StringGrid1);

Christian Ortiz

2010-12-27 05:02

reporter   ~0044614

ok, the example works, but what about if a want to "clone" an existing stringgrid in the form?. When a try to do with two, display an error:

unit1.pas(39,27) Error: identifier idents no member "AssignTo"
 y tried these two ways:

StringGrid2.AssignTo(StringGrid1);
and
TStringGrid(StringGrid2).AssignTo(StringGrid1);

Vincent Snijders

2010-12-27 07:19

manager   ~0044616

Please, attach your example/test application.

Tomasz Wieckowski

2010-12-27 10:09

reporter   ~0044621

AssignTo is defined in the protected section.
Can this procedure be public ? This is ask to Jesus Reyes.

Vincent Snijders

2010-12-27 10:31

manager   ~0044622

Last edited: 2010-12-27 10:32

Why can't you replace
StringGrid1.AssignTo(StringGrid2);
by
StringGrid2.Assign(StringGrid1); ?

Vincent Snijders

2010-12-27 12:54

manager   ~0044628

AssignTo should remain protected. Assign is public and that is enough.

Issue History

Date Modified Username Field Change
2010-07-28 19:36 Christian Ortiz New Issue
2010-07-28 20:46 Jesus Reyes Status new => assigned
2010-07-28 20:46 Jesus Reyes Assigned To => Jesus Reyes
2010-07-29 07:25 Jesus Reyes Fixed in Revision => 26888
2010-07-29 07:25 Jesus Reyes LazTarget => 0.9.30
2010-07-29 07:25 Jesus Reyes Status assigned => resolved
2010-07-29 07:25 Jesus Reyes Fixed in Version => 0.9.29 (SVN)
2010-07-29 07:25 Jesus Reyes Resolution open => fixed
2010-07-29 07:25 Jesus Reyes Target Version => 0.9.30
2010-08-17 16:16 Christian Ortiz Note Added: 0040255
2010-12-26 01:03 Christian Ortiz Status resolved => assigned
2010-12-26 01:03 Christian Ortiz Resolution fixed => reopened
2010-12-26 01:03 Christian Ortiz Note Added: 0044591
2010-12-26 10:09 samuel herzog Note Added: 0044595
2010-12-26 20:20 Christian Ortiz Note Added: 0044607
2010-12-26 21:33 Tomasz Wieckowski Note Added: 0044609
2010-12-27 05:02 Christian Ortiz Note Added: 0044614
2010-12-27 07:19 Vincent Snijders Note Added: 0044616
2010-12-27 07:19 Vincent Snijders Status assigned => feedback
2010-12-27 10:09 Tomasz Wieckowski Note Added: 0044621
2010-12-27 10:31 Vincent Snijders Note Added: 0044622
2010-12-27 10:32 Vincent Snijders Note Edited: 0044622
2010-12-27 12:54 Vincent Snijders Status feedback => resolved
2010-12-27 12:54 Vincent Snijders Resolution reopened => fixed
2010-12-27 12:54 Vincent Snijders Note Added: 0044628
2011-12-01 11:25 Marc Weustink Status resolved => closed